net.sourceforge.pmd.lang.ecmascript

## Class Ecmascript3Handler

- java.lang.Object
- - net.sourceforge.pmd.lang.AbstractLanguageVersionHandler
  - - net.sourceforge.pmd.lang.ecmascript.Ecmascript3Handler

- All Implemented Interfaces:
    LanguageVersionHandler

      public class Ecmascript3Handler
      extends AbstractLanguageVersionHandler

  Implementation of LanguageVersionHandler for the ECMAScript Version 3.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ecmascript3Handler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParserOptions` | `getDefaultParserOptions()` Get the default ParserOptions.
    `VisitorStarter` | `getDumpFacade(Writer writer, String prefix, boolean recurse)` Get the DumpFacade.
    `Parser` | `getParser(ParserOptions parserOptions)` Get the Parser.
    `RuleViolationFactory` | `getRuleViolationFactory()` Get the RuleViolationFactory.
    `XPathHandler` | `getXPathHandler()` Get the XPathHandler.

    - ### Methods inherited from class net.sourceforge.pmd.lang.AbstractLanguageVersionHandler

      `getDataFlowFacade, getDataFlowHandler, getSymbolFacade, getTypeResolutionFacade`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Ecmascript3Handler

          public Ecmascript3Handler()

  - ### Method Detail

    - #### getXPathHandler

          public XPathHandler getXPathHandler()

      Description copied from interface: `LanguageVersionHandler`
      Get the XPathHandler.
      Specified by:
        `getXPathHandler` in interface `LanguageVersionHandler`
      Overrides:
        `getXPathHandler` in class `AbstractLanguageVersionHandler`

    - #### getRuleViolationFactory

          public RuleViolationFactory getRuleViolationFactory()

      Description copied from interface: `LanguageVersionHandler`
      Get the RuleViolationFactory.

    - #### getDefaultParserOptions

          public ParserOptions getDefaultParserOptions()

      Description copied from interface: `LanguageVersionHandler`
      Get the default ParserOptions.
      Specified by:
        `getDefaultParserOptions` in interface `LanguageVersionHandler`
      Overrides:
        `getDefaultParserOptions` in class `AbstractLanguageVersionHandler`
      Returns:
        ParserOptions

    - #### getParser

          public Parser getParser(ParserOptions parserOptions)

      Description copied from interface: `LanguageVersionHandler`
      Get the Parser.
      Returns:
        Parser

    - #### getDumpFacade

          public VisitorStarter getDumpFacade(Writer writer,
                                     String prefix,
                                     boolean recurse)

      Description copied from interface: `LanguageVersionHandler`
      Get the DumpFacade.
      Specified by:
        `getDumpFacade` in interface `LanguageVersionHandler`
      Overrides:
        `getDumpFacade` in class `AbstractLanguageVersionHandler`
      Parameters:
        `writer` - The writer to dump to.
      Returns:
        VisitorStarter

Copyright © 2002-2013 InfoEther. All Rights Reserved.